$(document).ready(function () {
  var form = $("#TableFormForValidation");

  form.validate({
    errorClass: "text-danger field-validation-error",
    rules: {
      pocetLine: {
        required: true,
        number: true,
        min: 1,
        digits: true
      },
      cenaLine: {
        required: true,
        number: true,
        min: 1,
      },
      nazevLine: {
        required: true
      },
      KodDodacihoListu: {
        required: true
      }
    },
    messages: {
      pocetLine: {
        required: "Zadejte hodnotu",
        number: "Hodnotou musí být  číslo",
        digits: "Hodnotou musí být celé číslo",
        min: "Hodnota musí být větší nebo rovno 1" 
      },
      cenaLine: {
        required: "Zadejte hodnotu",
        number: "Hodnotou musí být  číslo ve tvaru X.X",
        min: "Hodnota musí být větší nebo rovno 1"
      },
      nazevLine: {
        required: "Zadejte hodnotu"
      },
      KodDodacihoListu: {
        required: "Zadejte hodnotu"
      }
    },
    submitHandler: function (form) {
      $("#nazevLine").val("");
      $("#cenaLine").val("");
      $("#pocetLine").val("");
      $(".karta-id").hide();
      return false;
    }
  });

  var pridejRadek = function () {
    var kartaNazev = $("#zaznam_VybranaKartaId option:selected").text();
    var kartaId = $("#zaznam_VybranaKartaId").val();
    var nazevProduktu = $("#nazevLine").val();
    var cena = $("#cenaLine").val();
    var pocet = $("#pocetLine").val();
    $("tbody").append("<tr><td class='karta-id'>" +
        kartaId +
        "</td><td class='karta-nazev'>" +
        kartaNazev +
        "</td><td class='nazev-produktu'>" +
        nazevProduktu +
        "</td><td class='produkt-cena'>" +
        cena +
        "</td><td class='produkt-mnozstvi'>" +
        pocet +
        "</td><td><button type='submit' onclick='smazatRadek(this)'>Smazat</button></div></td>");
  };

  $('#addToTable').click(function () {

    if (form.valid()) {
      pridejRadek();
    } else {
      form.validate();
    }
  });

});